Bug 125392 - Broken behaviour with resolver SERVFAIL results
Broken behaviour with resolver SERVFAIL results
Product: Fedora
Classification: Fedora
Component: mtr (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-06-05 22:41 EDT by Daniel Roesen
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-01 09:01:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch fixing SERVFAIL behaviour (785 bytes, patch)
2004-06-05 22:42 EDT, Daniel Roesen
no flags Details | Diff

  None (edit)
Description Daniel Roesen 2004-06-05 22:41:07 EDT
mtr behaves highly suboptimal when experiencing SERVFAIL
results when resolving hop IPs to names. It spits errors
and completely messes up the display.

Actually, it shouldn't spit any error at all and just treat
the hop IP as unresolvable. With IPv6, this happens quite often

Please add the attached patch which was also sent upstream to
the current maintainer (and accepted, but it will probably take
LONG again until a new upstream version surfaces, so please
don't wait for that to happen :->).
Comment 1 Daniel Roesen 2004-06-05 22:42:14 EDT
Created attachment 100898 [details]
Patch fixing SERVFAIL behaviour
Comment 2 Phil Knirsch 2004-07-01 09:01:43 EDT
Fix included in latest development package, should hit the trees in a
couple of days.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.